Welcome to WebmasterWorld Guest from

Forum Moderators: bakedjake

Message Too Old, No Replies

Which pcmcia card is compatible with 2.6 kernel

Driver for cardbus 10/100 ethernet card doesn’t compile



5:38 pm on Oct 25, 2006 (gmt 0)

5+ Year Member

Hi all,
Does anyone know of cardbus (pcmcia) Ethernet cards that are compatible with 2.6 kernel?

I installed Xubuntu 6.06.1 (kernel 2.6.15) on my old Comapq Presario 1200 laptop, and since it doesn’t have an ethernet jack build in I bought pcmcia Ethernet card (U.S. Robotics model 7901A) . I installed “build-essential” package but unfortunately driver was developed and tested for (well up to) kernel 2.4, and it doesn’t want to compile on my machine. Tech support, or ubintu forum have not been of much help. I found some stuff in sourceforge, but it appears that it’s for older kernel versions as well. I looke at other card mfg.s and they have drivers for kernel 2.4 as well.

I still didn’t completely give up on getting this card to work, however I am ready to buy new one that I know will work out of the box (or at least that I know that I can compile the driver for).
Any ideas / suggestions?


5:58 pm on Oct 25, 2006 (gmt 0)

10+ Year Member

TuxMobil.org has a list of compatible cards under their "Hardware" section. Their lists are typically where I start when anything laptop-related comes up.

Added: Have you tried using ndiswrapper in combination with the Windows drivers in order to get the card to work?


11:50 pm on Oct 25, 2006 (gmt 0)

5+ Year Member


Featured Threads

Hot Threads This Week

Hot Threads This Month